> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Changes

> All backward-incompatible changes to the Sequence REST API

## Version: 2024-07-30

### Billing

* **NEW** [Delete Credit Grant](/reference/2024-07-30/billing/delete-a-credit-grant)
* **UPDATED** [Create billing schedule endpoint](/reference/2024-07-30/billing/create-billing-schedule)
  * Updated `prices` to match models for Prices API
* **UPDATED** [Update billing schedule endpoint](/reference/2024-07-30/billing/update-billing-schedule)
  * Removed `type` from request and response models
  * Removed `discounts` from Billing Schedule creation request - these should now be provided as part of a Phase
  * Renamed `createAsDraft` to `isDraft` on creation request
  * Renamed `collectionPaymentProvider` to `paymentProvider` on creation request
  * Removed `sequenceAccountId` from response model
  * Removed `priceIds` from response model
  * Updated `prices` to match models for Prices API
* **UPDATED** [Get billing schedule endpoint](/reference/2024-07-30/billing/get-billing-schedule)
  * Updated `prices` to match models for Prices API
  * *Addition*: `contractId`
* **UPDATED** [List billing schedules endpoint](/reference/2024-07-30/billing/list-all-billing-schedules)
  * Updated `prices` to match models for Prices API
* **UPDATED** [Activate billing schedule endpoint](/reference/2024-07-30/billing/activate-billing-schedule)
  * Updated `prices` to match models for Prices API
  * *Addition*: `Added dryRun queryParam to validate without persisting`
  * *Removed*: `Removed dryRun queryParam to validate without persisting`
* **UPDATED** [Archive billing schedule endpoint](/reference/2024-07-30/billing/archive-billing-schedule)
  * HTTP method updated from `PUT` to `POST`
  * Updated `prices` to match models for Prices API
* **NEW** [Duplicate a billing schedule endpoint](/reference/2024-07-30/billing/duplicate-a-billing-schedule)
* **NEW** [Validate taxes on a billing schedule](/reference/2024-07-30/billing/validate-taxes-on-a-billing-schedule)
* **NEW** [List billing schedule custom field keys endpoint](/reference/2024-07-30/billing/list-billing-schedule-custom-field-keys)

### Collections

* **NEW** [Get or create payment settings endpoint](/reference/2024-07-30/collections/payment-settings-for-sequence-account)
* **NEW** [Update payment settings endpoint](/reference/2024-07-30/collections/update-payment-settings-for-sequence-account)
* **NEW** [Get or create Stripe collection settings endpoint](/reference/2024-07-30/collections/stripe-collection-settings-for-sequence-account)
* **NEW** [Update Stripe collection settings endpoint](/reference/2024-07-30/collections/update-stripe-collection-settings-for-sequence-account)

### Customers

* **REMOVED** Delete customer endpoint
* **UPDATED** [Archive customer endpoint](/reference/2024-07-30/customer/archive-customer)
  * HTTP method updated from `PUT` to `POST`
  * Added field `organizations`
  * Removed `contactName`, `email` and `billingEmails` fields in favour of `contacts`
  * Removed field `telephone`
  * Removed field `deletedAt`
  * *Addition*: `status` to request and response
* **UPDATED** [Create customer endpoint](/reference/2024-07-30/customer/create-customer)
  * Added optional `parentId` field to request
  * Added field `organizations` to response
  * Removed `contactName`, `email` and `billingEmails` fields in favour of `contacts` in request and response
  * Removed field `telephone` from request and response
  * Removed field `deletedAt` from response
  * *Addition*: `status` to request and response
* **UPDATED** [Update customer endpoint](/reference/2024-07-30/customer/update-customer)
  * Added optional `parentId` field to request
  * Added field `organizations` to response
  * Removed `contactName`, `email` and `billingEmails` fields in favour of `contacts` in request and response
  * Removed field `telephone` from request and response
  * Removed field `deletedAt` from response
  * *Addition*: `status` to request and response
* **UPDATED** [List customers endpoint](/reference/2024-07-30/customer/list-customers)
  * Added field `organizations`
  * Removed `contactName`, `email` and `billingEmails` fields
  * Removed field `telephone`
  * Removed field `deletedAt`
* **UPDATED** [Get customer endpoint](/reference/2024-07-30/customer/get-customer)
  * Added field `organizations`
  * Removed `contactName`, `email` and `billingEmails` fields in favour of `contacts`
  * Removed field `telephone`
  * Removed field `deletedAt`
  * *Addition*: `status` to request and response
* **NEW** [Create customer organization endpoint](/reference/2024-07-30/customer/create-a-customer-organization)
* **NEW** [Add customer organization member endpoint](/reference/2024-07-30/customer/add-a-customer-to-a-customer-organization)
* **NEW** [Replace customer organization members endpoint](/reference/2024-07-30/customer/replace-members-of-a-customer-organization)

### Invoices

* **NEW** [Get invoice render settings endpoint](/reference/2024-07-30/invoices/get-or-create-invoice-render-settings)
* **NEW** [Update invoice render settings endpoint](/reference/2024-07-30/invoices/update-an-invoice-render-settings)
* **NEW** [Patch sent invoice endpoint](/reference/2024-07-30/invoices/patch-a-sent-invoice)
* **NEW** [Mark invoices as sent endpoint](/reference/2024-07-30/invoices/finalize-and-mark-invoice-as-sent-without-triggering-actions-except-revenue-recognition)
* **UPDATED** [Finalize and send credit note](/reference/2024-07-30/invoices/finalize-and-send-credit-note)
  * *Updated*: `billingPeriodStart, billingPeriodEnd, and accountingDate validation added`
* **UPDATED** [Finalize credit note](/reference/2024-07-30/invoices/finalize-credit-note)
  * *Updated*: `billingPeriodStart, billingPeriodEnd, and accountingDate validation added`
    Mark credit note as sent endpoint added
* **NEW** [List Currency Conversions for an Invoice](/reference/2024-07-30/invoices/list-currency-conversions-for-an-invoice)

### Products

* **UPDATED** [Archive list price endpoint](/reference/2024-07-30/product/archive-a-list-price)
  * HTTP method updated from `PUT` to `POST`

### Quotes

* **NEW** [Download quote pdf endpoint](/reference/2024-07-30/quote/download-quote-pdf)
* **NEW** [Get quote analytics](/reference/2024-07-30/quote/get-quote-analytics)

### Taxes

* **UPDATED** [Archive tax rate endpoint](/reference/2024-07-30/taxes/archive-a-tax-rate)
  * HTTP method updated from `PUT` to `POST`

## Version: 2024-05-09

Naming improvements and simplifications across billing, customers, products, taxes and usage APIs. Further details below.

### Billing

* Removed `POST /discounts` endpoint.

* Renamed `externalIds` to `integrationIds` in `Price` requests and updated model to be `{service: string, id: string}`.

* Renamed `externalIds` to `integrationIds` in `Price` responses and updated model to be `{service: string, id: string, lastSynced: timestamp}`.

* Removed `sequenceAccountId` and `deletedAt` from list `Price` response model.

* Removed `sequenceAccountId` from `Price` deletion response model.

* Removed `sequenceAccountId` from `Price` creation response model.

* Renamed `parameters` to `customMetricParameters` in `Price` request and response models.

* Updated the following fields on seat-based pricing structure:
  * Renamed `seatTypeId` to `seatMetricId`
  * Removed values `USE_FIRST` and `PRORATE_ALL_CHANGES` from `prorationStrategy`
  * Renamed `includedSeats` to `contractedMinimumSeats`
  * Removed `chargeMethod`

* Updated the following fields on the `Billing Schedule` models:
  * Removed `type` from request and response models
  * Removed `discounts` from `Billing Schedule` creation request - these should now be provided as part of a `Phase`
  * Renamed `createAsDraft` to `isDraft` on creation request
  * Renamed `collectionPaymentProvider` to `paymentProvider`  on creation request
  * Removed `sequenceAccountId` from response model
  * Removed `priceIds` from response model

### Collections

* Updated the following URLs
  * `POST /billing-schedule-settings` -> `POST /payments/settings/billing-schedules`
  * `GET /billing-schedule-settings/for-billing-schedule/{id}` -> `GET /payments/settings/billing-schedules/for-billing-schedule/{id}`
  * `GET /billing-schedule-settings/{id}` -> `GET /payments/settings/billing-schedules/{id}`
  * `PUT /billing-schedule-settings/{id}` -> `PUT /payments/settings/billing-schedules/{id}`
  * `DELETE /billing-schedule-settings/{id}` -> `DELETE /payments/settings/billing-schedules/{id}`
  * `POST /invoice-settings` -> `POST /payments/settings/invoices`
  * `GET /invoice-settings/for-invoice/{id}` -> `GET /payments/settings/invoices/for-invoice/{id}`
  * `GET /invoice-settings/{id}` -> `GET /payments/settings/invoices/{id}`
  * `PUT /invoice-settings/{id}` -> `PUT /payments/settings/invoices/{id}`
  * `DELETE /invoice-settings/{id}` -> `DELETE /payments/settings/invoices/{id}`
  * `POST /customer-settings` -> `POST /payments/settings/customers`
  * `GET /customer-settings/{id}` -> `GET /payments/settings/customers/{id}`
  * `PUT /customer-settings/{id}` -> `PUT /payments/settings/customers/{id}`
  * `DELETE /customer-settings/{id}` -> `DELETE /payments/settings/customers/{id}`

### Customers

* Renamed `externalIds` to `integrationIds` in `Customer` requests and updated model to be `{service: string, id: string}`.
* Renamed `externalIds` to `integrationIds` in `Customer` responses and updated model to be `{service: string, id: string, lastSynced: timestamp}`.

### Products

* Removed `sequenceAccountId` from `Product` request and response models.

### Taxes

* Removed `subRates` from `Tax Rate` request and response models.
* Removed `sequenceAccountId` from `Tax Rate` response models.

### Usage

* Renamed `Seat Types` to `Seat Metrics` and updated URLs to be `/seat-metrics`.
* Removed `sequenceAccountId` from `Seat Metric` response model.
* Renamed `sequenceUserId` to `createdBy` on `Seat Metric` response model and removed it from request model.
* Renamed `key` to `seatType` on `Seat Metric` request and response models.
* Renamed `Seat Snapshots` to `Seat Events` and updated URLs to be `/seat-events`.
* Removed `seatChanges` from `Seat Event` request and response models.

## Version: 2024-01-01

Initial release of the versioned Sequence REST API.
